import React, { useEffect, useState } from 'react';
import {Modal, Accordion, List, Checkbox, Button} from "antd-mobile";
import './index.less'
import axios from "axios";

const CheckboxItem = Checkbox.CheckboxItem;

const Send = (props) => {
    const {visible, onClose} = props;
    const [data, setData] = useState([]);

    useEffect(() => {
        axios({
            method: 'post',
            url: 'http://192.168.1.84:8889/department/tree',
            data: {},
            withCredentials: false,
        }).then(res => {
            setData(res.data.result)
        })
    }, []);

    const [checked, setChecked] = useState([])

    const checkChange = (e, val) => {
        const newChecked = [...checked];
        const index = newChecked.indexOf(val);
        e.target.checked ? newChecked.push(val) : newChecked.splice(index, 1);
        setChecked(newChecked);
    };
    const getProps = data => (
        <Accordion>
            { data && data.length > 0 && data.map((item, index) => (
                    <Accordion.Panel header={item.name} key={index}>
                        {item.subList && item.subList.length > 0 && getProps(item.subList)}
                        {item.userList && item.userList.length > 0 && (
                            <List key={item.name}>
                                {item.userList.map((child) => (
                                    <CheckboxItem key={child.uid} onChange={(val) => checkChange(val, child.uid)}>
                                        {child.name}
                                    </CheckboxItem>
                                ))}
                            </List>
                        )}
                    </Accordion.Panel>
                ))
            }
        </Accordion>
    );

    return (
        <div>
            <Modal
                title="选择参会人员"
                className="date-modal"
                visible={visible}
                transparent
                onClose={() => onClose(false)}
            >
                {/*<List>*/}
                    {/*<CheckboxItem onChange={(val) => console.log(val)}>*/}
                        {/*{11111}*/}
                    {/*</CheckboxItem>*/}
                {/*</List>*/}
                <div className="test-box-auto">
                    {getProps(data)}
                </div>

                <div className="modal-form-footer">
                    <Button className="date-button mr-12 bg-gray" inline onClick={() => onClose(false)}>取消</Button>
                    <Button className="date-button" inline type="primary">确认选择</Button>
                </div>
            </Modal>
        </div>
    );
};

export default Send;
