import React, {useEffect} from 'react';
import {WingBlank, List, InputItem, TextareaItem, WhiteSpace, Picker} from 'antd-mobile'
import Document from 'react-document-title';
import moment from 'moment'
import axios from  'axios'

import { createForm } from 'rc-form';

const Send = (props) => {
    const {getFieldProps} = props.form;
    useEffect(() => {
        axios({
            method: 'post',
            url: 'http://192.168.1.84:8889/department/tree',
            data: {},
            withCredentials: true,
        }).then(res => {

        })
    }, []);

    const onSubmit = () => {
        props.form.validateFields({ force: true }, (error) => {
            const values = props.form.getFieldsValue();
            const keys = Object.keys(values);
            keys.map(item => {
                !values[item] && (delete values[item]);
                Array.isArray(values[item]) && values[item].length === 1 && (values[item] = values[item][0]);
                values[item] instanceof Date && ( values[item] = moment(values[item]).format("YYYY-MM-DD HH:mm:ss"))
                return null;
            });
            if (!error) {
               console.log(values)
            }
        });
    };

    return (
        <Document title="内部邮局">
            <WingBlank>
                <WhiteSpace/>
                <form>
                    <List>
                        <InputItem extra={'1111'}>标题</InputItem>
                        <InputItem extra={'1111'}>发送人</InputItem>
                        <InputItem extra={'1111'}>工作日期</InputItem>
                        <InputItem extra={'1111'}>参会人员</InputItem>
                        <Picker data={[{label: '是', value: true}, {label: '否', value: false}]} cols={1} {...getFieldProps('xb')}>
                            <List.Item arrow="horizontal">办理意见</List.Item>
                        </Picker>
                        <TextareaItem
                            title="内容"
                            rows={4}
                            {...getFieldProps('gzdh')}
                        />
                    </List>
                </form>
                <div className="event-footer">
                    <div className="event-footer-button" onClick={onSubmit}>提交</div>
                </div>
            </WingBlank>
        </Document>
    );
};

export default createForm()(Send);
