import React, {useState} from 'react';
import {WingBlank, List, InputItem, WhiteSpace, DatePicker} from 'antd-mobile'
import Document from 'react-document-title';
import moment from 'moment'
import axios from  'axios'
import './index.less'

import { createForm } from 'rc-form';
import PeopleInfo from "./PeopleInfo";

const Send = (props) => {
    const {getFieldProps} = props.form;


    const onSubmit = () => {
        props.form.validateFields({ force: true }, (error) => {
            const values = props.form.getFieldsValue();
            const keys = Object.keys(values);
            keys.map(item => {
                !values[item] && (delete values[item]);
                Array.isArray(values[item]) && values[item].length === 1 && (values[item] = values[item][0]);
                values[item] instanceof Date && ( values[item] = moment(values[item]).format("YYYY-MM-DD HH:mm:ss"))
                return null;
            });
            if (!error) {
                axios.post('http://192.168.1.84:8889/department', {}).then(res => {
                    console.log(res)
                })
            }
        });
    };
    const [sP, setSP] = useState([]);
    const [personVisible, setPersonVisible] = useState(false);
    return (
        <Document title="内部邮局">
            <WingBlank>
                <PeopleInfo
                    visible={personVisible}
                    onClose={setPersonVisible}
                    peopleData={sP}
                    onSelect={setSP}
                />
                <WhiteSpace/>
                <form>
                    <List>
                        <InputItem>标题</InputItem>
                        <InputItem value={'123fd'}>发送人</InputItem>
                        <DatePicker mode="date" className="send-date-style"{...getFieldProps('gzrq')}>
                            <List.Item arrow="horizontal">工作日期</List.Item>
                        </DatePicker>
                        <List.Item className="auto-flex" extra={
                            <div className="pos-aline">
                                <div className="meet-select-btn" onClick={() => setPersonVisible(true)}>选择参会人员</div>
                                <div className="ml-40 room-num">{sP.length}人</div>
                            </div>
                        }>参会人员</List.Item>
                        <InputItem {...getFieldProps('gzdh')}>工作电话</InputItem>
                    </List>
                </form>
                <div className="event-footer">
                    <div className="event-footer-button" onClick={onSubmit}>提交</div>
                </div>
            </WingBlank>
        </Document>
    );
};

export default createForm()(Send);
